Table of contents
-----------------

* Introduction
* Features
* Configuration


Introduction
------------

The **Schema.org Blueprints WebPage** module allows 
https://schema.org/WebPage to be applied to all content types.

Conceptually, any page (i.e., in Drupal, a node) with a URI is a WebPage that 
can include A breadcrumb, primaryImageOfPage, relatedLink, significantLink, 
and more…

This module allows nodes to have primary Schema.org mapping to a specific 
Schema.org type while still allowing a node to be mapped to 
a Schema.org WebPage.

For example, a Recipe may also want to include a WebPages' relatedLink property 
and define a primaryImageOfPage.


Features
--------

- Enables the https://schema.org/WebPage mapping for pages when the 
  module is installed.
- Moves a page's Breadcrumb type into the WebPage's breadcrumb property


Configuration
-------------

- Go to the Schema.org properties configuration page.  
  (/admin/config/schemadotorg/settings/types#edit-schemadotorg-webpage)
- Go to the 'WebPage settings' details.
- Enter the WebPage Schema.org properties that are applicable to all Schema.org content types.
- Enter the default Schema.org types which will create a Schema.org WebPage mapping.
- Enter the default WebPage Schema.org properties used when create a Schema.org WebPage mapping.
